StdDeserializerProvider.WrappedDeserializer (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.deser

## Class StdDeserializerProvider.WrappedDeserializer

- java.lang.Object
- - org.codehaus.jackson.map.JsonDeserializer<Object>
  - - org.codehaus.jackson.map.deser.StdDeserializerProvider.WrappedDeserializer

- Enclosing class:
    StdDeserializerProvider

      protected static final class StdDeserializerProvider.WrappedDeserializer
      extends JsonDeserializer<Object>

  Simple deserializer that will call configured type deserializer, passing in configured data deserializer, and exposing it all as a simple deserializer.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonDeserializer

      `JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StdDeserializerProvider.WrappedDeserializer(TypeDeserializer typeDeser, JsonDeserializer<Object> deser)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `deserialize(JsonParser jp, DeserializationContext ctxt)` Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles.
    `Object` | `deserialize(JsonParser jp, DeserializationContext ctxt, Object intoValue)` Alternate deserialization method (compared to the most commonly used, `JsonDeserializer.deserialize(JsonParser, DeserializationContext)`), which takes in initialized value instance, to be configured and/or populated by deserializer.
    `Object` | `deserializeWithType(JsonParser jp, DeserializationContext ctxt, TypeDeserializer typeDeserializer)` Deserialization called when type being deserialized is defined to contain additional type identifier, to allow for correctly instantiating correct subtype.

    - ### Methods inherited from class org.codehaus.jackson.map.JsonDeserializer

      `getEmptyValue, getNullValue, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StdDeserializerProvider.WrappedDeserializer

          public StdDeserializerProvider.WrappedDeserializer(TypeDeserializer typeDeser,
                                                     JsonDeserializer<Object> deser)

  - ### Method Detail

    - #### deserialize

          public Object deserialize(JsonParser jp,
                           DeserializationContext ctxt)
                             throws IOException,
                                    JsonProcessingException

      Description copied from class: `JsonDeserializer`
      Method that can be called to ask implementation to deserialize JSON content into the value type this serializer handles. Returned instance is to be constructed by method itself.

      Pre-condition for this method is that the parser points to the first event that is part of value to deserializer (and which is never JSON 'null' literal, more on this below): for simple types it may be the only value; and for structured types the Object start marker. Post-condition is that the parser will point to the last event that is part of deserialized value (or in case deserialization fails, event that was not recognized or usable, which may be the same event as the one it pointed to upon call).

      Note that this method is never called for JSON null literal, and thus deserializers need (and should) not check for it.

      Specified by:
        `deserialize` in class `JsonDeserializer<Object>`
      Parameters:
        `jp` - Parsed used for reading JSON content
        `ctxt` - Context that can be used to access information about this deserialization activity.
      Returns:
        Deserializer value
      Throws:
        `IOException`
        `JsonProcessingException`

    - #### deserializeWithType

          public Object deserializeWithType(JsonParser jp,
                                   DeserializationContext ctxt,
                                   TypeDeserializer typeDeserializer)
                                     throws IOException,
                                            JsonProcessingException

      Description copied from class: `JsonDeserializer`
      Deserialization called when type being deserialized is defined to contain additional type identifier, to allow for correctly instantiating correct subtype. This can be due to annotation on type (or its supertype), or due to global settings without annotations.

      Default implementation may work for some types, but ideally subclasses should not rely on current default implementation. Implementation is mostly provided to avoid compilation errors with older code.

      Overrides:
        `deserializeWithType` in class `JsonDeserializer<Object>`
        `typeDeserializer` - Deserializer to use for handling type information
      Throws:
        `IOException`
        `JsonProcessingException`

    - #### deserialize

          public Object deserialize(JsonParser jp,
                           DeserializationContext ctxt,
                           Object intoValue)
                             throws IOException,
                                    JsonProcessingException

      Description copied from class: `JsonDeserializer`
      Alternate deserialization method (compared to the most commonly used, `JsonDeserializer.deserialize(JsonParser, DeserializationContext)`), which takes in initialized value instance, to be configured and/or populated by deserializer. Method is not necessarily used for all supported types; most commonly it is used for Collections and Maps.

      Default implementation just throws `UnsupportedOperationException`, to indicate that types that do not explicitly add support do not expect to get the call.

      Overrides:
        `deserialize` in class `JsonDeserializer<Object>`
      Throws:
        `IOException`
        `JsonProcessingException`